﻿@using System.Web;
@{
    ViewData["Title"] = "Introduction";
    var processData = await MenuDataHelper.GetProcessDataAsync();
    string name = ViewBag.ClientName;
}
<div class="container">
    <div class="card card-custom">
        <div class="card-body">
            <p">
                Hello @name,</p>
                <p>As a financial Agent/Adviser, my goal is to provide my clients with guidance to achieve financial independence during their pre-retirement and retirement years. My 6-step process takes an organized and structured approach that connects every piece of the financial planning puzzle together in order to meet their short-, mid-, and long-term goals.</p>
                <p>We avoid building one-dimensional solutions, which often lack consideration of other personal factors, resulting in a unsustainable strategy that compromises one’s quality of life during retirement.</p>
                <p>Step 1, the LifeArcPlan™ survey, is to build a deeper understanding of your current and future dreams, desires, goals, and uncertainties. By gathering relevant information we are able to properly analyze, design, implement, and monitor a solution that brings you happiness.</p>
                <hr />
                <div class="proceess-main-card bg-gray-100">
                    <div class="card-header card-header-right ribbon ribbon-clip ribbon-left border-0 no-bg">
                        <div class="ribbon-target">
                            <span class="ribbon-inner"></span>Our 6-Step Process
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="pl-0">
                            @foreach (var item in processData)
                            {
                            <div class="custom-callout border-p" style="border:solid 1px @item.Color;">
                                <div class="d-flex">
                                    <div class="flex-shrink-0 mr-7 left-icon">
                                        <div>
                                            <img src="/images/6-steps-graphics/@item.Img" style="border-right:5px solid @item.Color" />
                                        </div>
                                    </div>
                                    <div class="flex-grow-1 p-2">
                                        <div class="d-flex align-items-center justify-content-between flex-wrap mt-2">
                                            <div class="mr-3">
                                                <span class="d-flex align-items-center font-size-h3 font-weight-bolder mr-3" style="color:@item.Color">
                                                    @item.Id. @Html.Raw(item.Title)
                                                </span>
                                                <div class="d-flex flex-wrap my-2 font-weight-bolder font-size-h5">
                                                    @Html.Raw(item.SubTitle)
                                                </div>
                                            </div>
                                        </div>
                                        <div class="d-flex align-items-center flex-wrap justify-content-between">
                                            <div class="flex-grow-1 font-weight-bold text-dark-50 py-2 py-lg-2 mr-5 font-size-h6">
                                                @Html.Raw(item.Desc)
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            }
                        </div>
                    </div>
                </div>
                <div class="card-footer pr-0 mt-5">
                    <div class="float-right">
                        <a href="client-info" class="btn btn-primary font-weight-bold px-6 py-2 font-size-h4" id="continue">
                            Continue<i class="flaticon2-right-arrow ml-3"></i>
                        </a>
                    </div>
                </div>
        </div>
    </div>
</div>
<style>
    .plans {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        max-width: 500px;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        background: #fff;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }

        .plans .plan input[type="radio"] {
            position: absolute;
            opacity: 0;
        }

        .plans .plan {
            cursor: pointer;
            width: 48.5%;
        }

            .plans .plan .plan-content {
                display: -webkit-box;
                display: -ms-flexbox;
                display: flex;
                padding: 10px;
                -webkit-box-sizing: border-box;
                box-sizing: border-box;
                border: 2px solid #e1e2e7;
                -webkit-transition: -webkit-box-shadow 0.4s;
                transition: -webkit-box-shadow 0.4s;
                -o-transition: box-shadow 0.4s;
                transition: box-shadow 0.4s;
                transition: box-shadow 0.4s, -webkit-box-shadow 0.4s;
                position: relative;
            }

                .plans .plan .plan-content img {
                    margin-right: 20px;
                }

            .plans .plan .plan-details span {
                margin: 10px 0;
                display: block;
                font-size: 20px;
                line-height: 24px;
                color: #252f42;
            }

            .plans .plan .plan-content:hover {
                -webkit-box-shadow: 0px 3px 5px 0px #e8e8e8;
                box-shadow: 0px 3px 5px 0px #e8e8e8;
            }

            .plans .plan input[type="radio"]:checked + .plan-content {
                border: 2px solid #216ee0;
                background: #eaf1fe;
                -webkit-transition: ease-in 0.3s;
                -o-transition: ease-in 0.3s;
                transition: ease-in 0.3s;
            }
</style>